/* 
 * File:   DALI_Hack_Main.h
 * Author: Leo M Fernekes, Fernekes Designs
 *
 * Created on January 14, 2021, 5:47 PM
 */

#ifndef DALI_HACK_MAIN_H
#define	DALI_HACK_MAIN_H

#ifdef	__cplusplus
extern "C" {
#endif


// PIC16LF1575 Configuration Bit Settings

// 'C' source line config statements

// CONFIG1
#pragma config FOSC = INTOSC    // Oscillator Selection Bits (INTOSC oscillator; I/O function on CLKIN pin)
#pragma config WDTE = OFF       // Watchdog Timer Enable (WDT disabled)
//#pragma config PWRTE = ON       // Power-up Timer Enable (PWRT enabled)
#pragma config PWRTE = OFF       // Power-up Timer Enable (PWRT disab    
//#pragma config MCLRE = ON       // MCLR Pin Function Select (MCLR/VPP pin function is MCLR)
#pragma config MCLRE = OFF      // MCLR Pin Function Select (MCLR/VPP pin function is digital input)
#pragma config CP = OFF         // Flash Program Memory Code Protection (Program memory code protection is disabled)
#pragma config BOREN = OFF      // Brown-out Reset Enable (Brown-out Reset disabled)
#pragma config CLKOUTEN = OFF   // Clock Out Enable (CLKOUT function is disabled. I/O or oscillator function on the CLKOUT pin)

// CONFIG2
#pragma config WRT = OFF        // Flash Memory Self-Write Protection (Write protection off)
#pragma config PPS1WAY = ON     // PPSLOCK bit One-Way Set Enable bit (PPSLOCKED Bit Can Be Cleared & Set Once)
#pragma config PLLEN = ON       // PLL Enable (4x PLL enabled)
#pragma config STVREN = ON      // Stack Overflow/Underflow Reset Enable (Stack Overflow or Underflow will cause a Reset)
#pragma config BORV = LO        // Brown-out Reset Voltage Selection (Brown-out Reset Voltage (Vbor), low trip point selected.)
#pragma config LPBOREN = OFF    // Low Power Brown-out Reset enable bit (LPBOR is disabled)
#pragma config LVP = ON         // Low-Voltage Programming Enable (Low-voltage programming enabled)

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

#include <xc.h>


volatile    unsigned int shift_register = 0;
volatile    char idle_flag =1;
volatile    char byte_count =0;
volatile    char address =0;
volatile    char data =0;
volatile    char edge_pos =0;
volatile    char new_data =0;    
volatile unsigned int timer_0_counts =0 ;

volatile    char inter_bit_time_out =0;//active when recieving data, waiting for an edge
    
    
    
    void load_PWM_1 (unsigned int val);
#ifdef	__cplusplus
}
#endif

#endif	/* DALI_HACK_MAIN_H */

